import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
interface SvgCache {
    name: string;
    viewBox: string;
}
export declare class SvgRegistry {
    private document;
    private svgOptions;
    private svgLoadStrategy;
    private readonly domParser;
    private readonly svgDomCache;
    private readonly _svgHrefCache;
    private readonly _cachedSvgs;
    defaultSize: string;
    private _defaultViewBox;
    url: (name: string) => string;
    constructor();
    private hydrateFromDom;
    fetchSvg: (svgName: string) => void;
    isSvgCached(name: string): boolean;
    svgCache$(name: string): Observable<SvgCache>;
    private cacheSvgInDOM;
    private getSvgSubject;
    private svgId;
    static ɵfac: i0.ɵɵFactoryDeclaration<SvgRegistry, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SvgRegistry>;
}
export {};
